------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情2
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>233
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(411, 463)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local player1 = CppScriptMgr:AddSimplePlayer(31390,232,220, "Lord Zhenwu", 400300001,1);
player1:SetZoomPercent(300);

local player2 = CppScriptMgr:AddSimplePlayer(3350,232,226, "Extinguished Incense", 400300002,1);
local player3 = CppScriptMgr:AddSimplePlayer(3350,227,230, "Tripod Inscription", 400300003,1);


-- 半身像对话框
CppScriptMgr:SetViewPosByCell(393,457)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(393,455)
CppScriptMgr:WaitMilSec(100)

CppScriptMgr:NpcCallOut("It`s Zhenwu Temple here. I`m the last temple master. Demons are back again!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28979", 150, 430, "Temple Master", 250, 655)
CppScriptMgr:WaitMilSec(3000)



CppScriptMgr:SetViewPosByCell(387,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(381,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(375,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(369,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(363,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(357,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(351,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(345,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(339,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(333,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(327,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(321,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(315,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(309,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(303,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(297,455)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(291,447)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(285,439)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(279,431)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(273,423)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(267,415)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(261,407)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(255,399)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(249,391)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(243,383)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,360)
CppScriptMgr:WaitMilSec(100)

CppScriptMgr:SetViewPosByCell(237,360)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,355)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,350)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,345)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,340)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,335)
CppScriptMgr:WaitMilSec(100)

CppScriptMgr:NpcCallOut("It`s hard to fight against demons alone. It`ll be easier if you have the power of 5-element Taoist Tools.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28979", 150, 430, "Temple Master", 250, 655)
CppScriptMgr:WaitMilSec(3000)



CppScriptMgr:SetViewPosByCell(237,330)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,325)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,320)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,315)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,310)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,305)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,300)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,295)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,290)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,285)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,280)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,275)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,270)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,265)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,260)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,255)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,250)

CppScriptMgr:NpcCallOut("Lord Zhenwu has left his five beasts guarding the earth and made 5-element Taoist Tools, so the disciples can use them to fight against demons and bring peace back.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28979", 150, 430, "Temple Master", 250, 655)
CppScriptMgr:WaitMilSec(3000)

CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,245)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,242)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,240)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,238)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,235)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,230)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,225)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,220)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(237,215)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:NpcCallOut("The treasure I gave to you was one of them. It`s called Birth-death, which belongs to Fire. It saved you because you had got its approval.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28979", 150, 430, "Temple Master", 250, 655)
CppScriptMgr:WaitMilSec(3000)








